Subject: Re: glade_xml_signal_autoconnect doesn't find functions, symbols not exported?
From: "Gerrit P. Haase" <[email-masked]>
To: Eduardo M KALINOWSKI <[email-masked]>, "Gerrit @ cygwin" <[email-masked]>
Date: Fri, 07 Jan 2005 22:09:04 +0100

Eduardo M KALINOWSKI wrote:

> Gerrit P. Haase wrote:
> 
>> gtk_widget_hide_on_delete is exported explicitly (at least in version
>> 2.4.14 whioch is the latest available).
> 
> 
> That's the version I use (2.4.14-1, actually). All other packages are 
> most likely in their latest versions, because I installed cygwin just 
> the other day.
> 
>> How do you compile your application (ie the link command)?
> 
> 
> Here's the link command line:
> 
> gcc  -g3 -Wall -O0   -o kildclient.exe  <several .o files> 
> -Wl,--export-dynamic -L/usr/X11R6/lib -L/opt/cxclient/usr/X11R6/lib 
> -lglade-2.0 -lxml2 -lvte -lncurses -lSM -lICE -lXft -lfreetype -lz 
> -lXrender -lXext -lX11 -lgtk-x11-2.0 -lfontconfig -lgdk-x11-2.0 
> -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 
> -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -liconv   -L/usr/local/lib 
> /usr/lib/perl5/5.8.5/cygwin-thread-multi-64int/auto/DynaLoader/DynaLoader.a 
> -L/usr/lib/perl5/5.8.5/cygwin-thread-multi-64int/CORE -lperl -lcrypt 
> -lgdbm_compat -lintl
> 
> This command line is basically created in the configure script, using 
> pkg-config to get the libraries for gtk+, glade, and vte with the 
> following line:
> 
> PKG_CHECK_MODULES(KILDCLIENT, gtk+-2.0
>                              libglade-2.0 >= 2.4.0
>                              vte)
> 
> (But lather the libraries and linker flags for Perl are also added).

Looks ok.

> Another function I used as a signal handler is gtk_widget_destroy, and 
> the same thing happens: it is reported as not found.

Which is the exact error message?

You can check that the symbols are there with

$ nm /usr/lib/libgtk-x11-2.0.dll.a | grep '_gtk_widget_destroy'
00000000 I __imp__gtk_widget_destroyed
00000000 T _gtk_widget_destroyed
00000000 I __imp__gtk_widget_destroy
00000000 T _gtk_widget_destroy

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/